from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDispatchProviderInterceptor(XDispatchProvider, Protocol):
    def getSlaveDispatchProvider(self) -> XDispatchProvider: ...
    def setSlaveDispatchProvider(self, NewDispatchProvider: XDispatchProvider) -> None: ...
    def getMasterDispatchProvider(self) -> XDispatchProvider: ...
    def setMasterDispatchProvider(self, NewSupplier: XDispatchProvider) -> None: ...
